Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001604 [Squeak] Morphic minor always 08-03-05 23:46 04-02-06 10:14
Reporter wiz View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0001604: [FIX] [BUG] smoothOrSegmentedPhrase-wiz
Description When you keep a Polygon/Curve menu up the menu doesn't
update the smooth of segmented phrase. It is now
factored out and made auto updating."

'From Squeak3.7beta of ''1 April 2004'' [latest
update: 0005878] on 6 June 2004 at 10:18:48 pm'!
"Change Set: smoothOrSegmentedPhrase-wiz
Date: 6 June 2004
Author: Jerome Peace (wiz)

When you keep a Polygon/Curve menu up the menu doesn't
update the smooth of segmented phrase. It is now
factored out and made auto updating."!
Additional Information
Attached Files  smoothPhrase-wiz.1.cs.gz [^] (878 bytes) 08-03-05 23:46
 smoothPhrase-wiz.2.1.cs.gz [^] (928 bytes) 08-03-05 23:53
 smoothPhraseAft7021-wiz.1.cs [^] (1,456 bytes) 04-02-06 02:45

- Relationships

- Notes
(0002107 - 326 - 378 - 378 - 378 - 378 - 378)
KenCausey
08-03-05 23:48

germanmorales@delta-sys.com:

"-does what it says it does, and works right at that issue.

-but accidentally introduces a new menu option called 'use debug
border', which sends the message #showSegmentsBorderStyle which is not
implemented in the clean 5954 image (perhaps another package added this
to Jerome's image?)"
 
(0002108 - 956 - 1144 - 1193 - 1193 - 1193 - 1193)
KenCausey
08-03-05 23:52

Peace Jerome <peace_the_dreamer@yahoo.com>:

"Thanx German,

You are right I had done the fix while working on
another larger project. Apparently I didn't remove the
extraneous menu items.
Here is the cleanly grafted fix on the most recently
available image. Thanks again for your sharp eyes.

'From Squeak3.7beta of ''1 April 2004'' [latest
update: #5963] on 24 June 2004 at 8:04:04 pm'!
"Change Set: smoothPhrase-wiz.2
Date: 24 June 2004
Author: Jerome Peace (wiz)

When you keep a Polygon/Curve menu up the menu doesn't
update the smooth of segmented phrase. It is now
factored out and made auto updating.

This is a correction to the previous change set I
sent. This time I grafted the changes onto a new
fresh image (3.7b-5963). The last set had some extra
menu items from an other project I was working on
unrelated to this fix. Thanx to the harvester who
pointed this out."!"

(attaching smoothPhrase-wiz.2.1.cs.gz)
 
(0002109 - 81 - 81 - 81 - 81 - 81 - 81)
KenCausey
08-03-05 23:54

I seperately loaded both changesets without errors but did not test them further.
 
(0004652 - 34 - 34 - 34 - 34 - 34 - 34)
MarcusDenker
04-01-06 20:49

needs to be updated for latest 3.9
 
(0004658 - 134 - 170 - 170 - 170 - 170 - 170)
wiz
04-02-06 02:48

Uploaded the updated fix as:

smoothPhraseAft7021-wiz.1.cs

Thanks Marcus for your sharp eyes.

Yours in service -- Jerome Peace
 
(0004659 - 4 - 4 - 4 - 4 - 4 - 4)
MarcusDenker
04-02-06 10:14

7022
 

- Issue History
Date Modified Username Field Change
08-03-05 23:46 KenCausey New Issue
08-03-05 23:46 KenCausey File Added: smoothPhrase-wiz.1.cs.gz
08-03-05 23:48 KenCausey Note Added: 0002107
08-03-05 23:50 KenCausey Reporter KenCausey => wiz
08-03-05 23:52 KenCausey Note Added: 0002108
08-03-05 23:53 KenCausey File Added: smoothPhrase-wiz.2.1.cs.gz
08-03-05 23:54 KenCausey Note Added: 0002109
04-01-06 20:49 MarcusDenker Note Added: 0004652
04-02-06 02:45 wiz File Added: smoothPhraseAft7021-wiz.1.cs
04-02-06 02:48 wiz Note Added: 0004658
04-02-06 10:14 MarcusDenker Status new => closed
04-02-06 10:14 MarcusDenker Note Added: 0004659
04-02-06 10:14 MarcusDenker Resolution open => fixed
04-02-06 10:14 MarcusDenker Fixed in Version  => 3.9


Mantis 1.0.8[^]
Copyright © 2000 - 2007 Mantis Group
65 total queries executed.
44 unique queries executed.
Powered by Mantis Bugtracker